Package org.apache.lucene.benchmark.quality

# Class QualityStats.RecallPoint

java.lang.Object
org.apache.lucene.benchmark.quality.QualityStats.RecallPoint

Enclosing class:
  `QualityStats`

public static class QualityStats.RecallPoint extends Object
A certain rank in which a relevant doc was found.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getRank()`
  Returns the rank: where on the list of returned docs this relevant doc appeared.
  `double`
  `getRecall()`
  Returns the recall: how many relevant docs were returned up to this point, inclusive.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getRank

    public int getRank()
    Returns the rank: where on the list of returned docs this relevant doc appeared.

  - ### getRecall

    public double getRecall()
    Returns the recall: how many relevant docs were returned up to this point, inclusive.